._mixin_o(@offset) {
    margin: @offset;
}

._mixin_ox(@offset) {
    margin-left: @offset;
    margin-right: @offset;
}

._mixin_oy(@offset) {
    margin-top: @offset;
    margin-bottom: @offset;
}

._mixin_ot(@offset) {
    margin-top: @offset;

}

._mixin_or(@offset) {
    margin-right: @offset;

}

._mixin_ob(@offset) {
    margin-bottom: @offset;

}

._mixin_ol(@offset) {
    margin-left: @offset;

}

.o_xxs {
    ._mixin_o(var(--offset_xxs))
}

.o_xs {
    ._mixin_o(var(--offset_xs))
}

.o_s {
    ._mixin_o(var(--offset_s))
}

.o_m {
    ._mixin_o(var(--offset_m))
}

.o_l {
    ._mixin_o(var(--offset_l))
}

.o_xl {
    ._mixin_o(var(--offset_xl))
}

.o_xxl {
    ._mixin_o(var(--offset_xxl))
}

.ox_xxs {
    ._mixin_ox(var(--offset_xxs))
}

.ox_xs {
    ._mixin_ox(var(--offset_xs))
}

.ox_s {
    ._mixin_ox(var(--offset_s))
}

.ox_m {
    ._mixin_ox(var(--offset_m))
}

.ox_l {
    ._mixin_ox(var(--offset_l))
}

.ox_xl {
    ._mixin_ox(var(--offset_xl))
}

.ox_xxl {
    ._mixin_ox(var(--offset_xxl))
}

.oy_xxs {
    ._mixin_oy(var(--offset_xxs))
}

.oy_xs {
    ._mixin_oy(var(--offset_xs))
}

.oy_s {
    ._mixin_oy(var(--offset_s))
}

.oy_m {
    ._mixin_oy(var(--offset_m))
}

.oy_l {
    ._mixin_oy(var(--offset_l))
}

.oy_xl {
    ._mixin_oy(var(--offset_xl))
}

.oy_xxl {
    ._mixin_oy(var(--offset_xxl))
}

.ot_xxs {
    ._mixin_ot(var(--offset_xxs))
}

.ot_xs {
    ._mixin_ot(var(--offset_xs))
}

.ot_s {
    ._mixin_ot(var(--offset_s))
}

.ot_m {
    ._mixin_ot(var(--offset_m))
}

.ot_l {
    ._mixin_ot(var(--offset_l))
}

.ot_xl {
    ._mixin_ot(var(--offset_xl))
}

.ot_xxl {
    ._mixin_ot(var(--offset_xxl))
}

.or_xxs {
    ._mixin_or(var(--offset_xxs))
}

.or_xs {
    ._mixin_or(var(--offset_xs))
}

.or_s {
    ._mixin_or(var(--offset_s))
}

.or_m {
    ._mixin_or(var(--offset_m))
}

.or_l {
    ._mixin_or(var(--offset_l))
}

.or_xl {
    ._mixin_or(var(--offset_xl))
}

.or_xxl {
    ._mixin_or(var(--offset_xxl))
}

.ob_xxs {
    ._mixin_ob(var(--offset_xxs))
}

.ob_xs {
    ._mixin_ob(var(--offset_xs))
}

.ob_s {
    ._mixin_ob(var(--offset_s))
}

.ob_m {
    ._mixin_ob(var(--offset_m))
}

.ob_l {
    ._mixin_ob(var(--offset_l))
}

.ob_xl {
    ._mixin_ob(var(--offset_xl))
}

.ob_xxl {
    ._mixin_ob(var(--offset_xxl))
}

.ol_xxs {
    ._mixin_ol(var(--offset_xxs))
}

.ol_xs {
    ._mixin_ol(var(--offset_xs))
}

.ol_s {
    ._mixin_ol(var(--offset_s))
}

.ol_m {
    ._mixin_ol(var(--offset_m))
}

.ol_l {
    ._mixin_ol(var(--offset_l))
}

.ol_xl {
    ._mixin_ol(var(--offset_xl))
}

.ol_xxl {
    ._mixin_ol(var(--offset_xxl))
}

.o_content {
    ._mixin_o(var(--offset_content))
}

.ox_content {
    ._mixin_ox(var(--offset_content_x))
}

.oy_content {
    ._mixin_oy(var(--offset_content_y))
}

.ot_content {
    ._mixin_ot(var(--offset_content_y))
}

.or_content {
    ._mixin_or(var(--offset_content_x))
}

.ob_content {
    ._mixin_ob(var(--offset_content_y))
}

.ol_content {
    ._mixin_ol(var(--offset_content_x))
}
